Index: DCWoRMS/branches/coolemall/src/example/energy/coolemall/FanEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/coolemall/FanEnergyEstimationPlugin.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/energy/coolemall/FanEnergyEstimationPlugin.java	(revision 1396)
@@ -21,5 +21,5 @@
 		Fan fan = (Fan) resource;
 		try {
-			powerConsumption = fan.getAirThroughputInterface().getPowerConsumption(fan.getAirThroughputInterface().getAirThroughputState());
+			powerConsumption = fan.getAirflowInterface().getPowerConsumption(fan.getAirflowInterface().getAirflowState());
 		} catch (NoSuchFieldException e) {
 			// TODO Auto-generated catch block
@@ -35,13 +35,13 @@
 	}
 	
-	public double estimateAirThroughput(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
+	public double estimateAirflow(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
 		
-		double airThroughput = 0;
+		double airflow = 0;
 		Fan fan = (Fan) resource;
 		try {
 			if(event.getReason() == EventReason.SIM_INIT)
-				airThroughput = fan.getAirThroughputInterface().getAirFlow(fan.getAirThroughputInterface().getAirThroughputState());
+				airflow = fan.getAirflowInterface().getAirflow(fan.getAirflowInterface().getAirflowState());
 			else
-				airThroughput = fan.getAirThroughputInterface().getAirFlow(fan.getAirThroughputInterface().getAirThroughputState());
+				airflow = fan.getAirflowInterface().getAirflow(fan.getAirflowInterface().getAirflowState());
 		} catch (NoSuchFieldException e) {
 			// TODO Auto-generated catch block
@@ -65,5 +65,5 @@
 
 		
-		return airThroughput * getNumberOfWorkingNodes(fan)/(double)fan.getChilledResources().size();
+		return airflow * getNumberOfWorkingNodes(fan)/(double)fan.getChilledResources().size();
 	}
 	
Index: DCWoRMS/branches/coolemall/src/example/energy/coolemall/CB1EnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/coolemall/CB1EnergyEstimationPlugin.java	(revision 1329)
+++ DCWoRMS/branches/coolemall/src/example/energy/coolemall/CB1EnergyEstimationPlugin.java	(revision 1396)
@@ -11,5 +11,5 @@
 import schedframe.resources.computing.coolemall.NodeGroup;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
@@ -105,5 +105,5 @@
 			for(Device device: nodeGroup.getResourceCharacteristic().getDevices()){
 				try {
-					fpc = fpc + device.getAirThroughputInterface().getPowerConsumption(new UserAirThroughputStateName("2"));
+					fpc = fpc + device.getAirflowInterface().getPowerConsumption(new CustomAirflowStateName("2"));
 				} catch (NoSuchFieldException e) {
 					// TODO Auto-generated catch block
Index: DCWoRMS/branches/coolemall/src/example/energy/coolemall/FlowPumpInletEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/coolemall/FlowPumpInletEnergyEstimationPlugin.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/energy/coolemall/FlowPumpInletEnergyEstimationPlugin.java	(revision 1396)
@@ -26,5 +26,5 @@
 		
 		delta_p = ConfigurationOptions.coolingData.getPressureDrop();
-		Vair_total = ConfigurationOptions.coolingData.getAirFlowVolume();
+		Vair_total = ConfigurationOptions.coolingData.getAirflowVolume();
 		
 		if(delta_p != -1 && Vair_total != -1)
@@ -53,5 +53,5 @@
 							double Vair_recs1 = 0;
 
-							Vair_recs1  = fan.getAirThroughputInterface().getRecentAirFlow().getValue();
+							Vair_recs1  = fan.getAirflowInterface().getRecentAirflow().getValue();
 
 							double Vair_recs2 = 0;
@@ -59,5 +59,5 @@
 								if(device2.getType().equals(StandardResourceType.Inlet) && device2.getFullName().equals(fan.getFullName().replace("Outlet", "Inlet"))){
 
-									Vair_recs2  = device2.getAirThroughputInterface().getRecentAirFlow().getValue();
+									Vair_recs2  = device2.getAirflowInterface().getRecentAirflow().getValue();
 
 									break;
@@ -86,11 +86,11 @@
 	}
 	
-	public double estimateAirThroughput(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
-		double airThroughput = 0;
+	public double estimateAirflow(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
+		double airflow = 0;
 		double Vair_total;
 		
-		Vair_total = ConfigurationOptions.coolingData.getAirFlowVolume();
+		Vair_total = ConfigurationOptions.coolingData.getAirflowVolume();
 		if(Vair_total != -1) {
-			airThroughput = Vair_total;
+			airflow = Vair_total;
 		} else {
 			Device flowPump = (Device) resource;
@@ -114,5 +114,5 @@
 							double Vair_recs1 = 0;
 
-							Vair_recs1  = fan.getAirThroughputInterface().getRecentAirFlow().getValue();
+							Vair_recs1  = fan.getAirflowInterface().getRecentAirflow().getValue();
 
 							double Vair_recs2 = 0;
@@ -120,5 +120,5 @@
 								if(device2.getType().equals(StandardResourceType.Inlet) && device2.getFullName().equals(fan.getFullName().replace("Outlet", "Inlet"))){
 
-									Vair_recs2  = device2.getAirThroughputInterface().getRecentAirFlow().getValue();
+									Vair_recs2  = device2.getAirflowInterface().getRecentAirflow().getValue();
 
 									break;
@@ -136,7 +136,7 @@
 			mair_total = mair_rack;
 			Vair_total = mair_total / ro;
-			airThroughput = Vair_total;
+			airflow = Vair_total;
 		}
-		return airThroughput;
+		return airflow;
 	}
 	
Index: DCWoRMS/branches/coolemall/src/example/energy/coolemall/NodeEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/coolemall/NodeEnergyEstimationPlugin.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/energy/coolemall/NodeEnergyEstimationPlugin.java	(revision 1396)
@@ -34,5 +34,5 @@
 						if(fan.getPowerInterface().getRecentPowerUsage().getValue() == -1){
 							try {
-								powerConsumption = powerConsumption + fan.getAirThroughputInterface().getPowerConsumption(fan.getAirThroughputInterface().getAirThroughputState())/getNumberOfWorkingNodes(fan);
+								powerConsumption = powerConsumption + fan.getAirflowInterface().getPowerConsumption(fan.getAirflowInterface().getAirflowState())/getNumberOfWorkingNodes(fan);
 							} catch (NoSuchFieldException e) {
 								// TODO Auto-generated catch block
Index: DCWoRMS/branches/coolemall/src/example/energy/coolemall/CB2EnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/coolemall/CB2EnergyEstimationPlugin.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/energy/coolemall/CB2EnergyEstimationPlugin.java	(revision 1396)
@@ -168,5 +168,5 @@
 		
 		delta_p = ConfigurationOptions.coolingData.getPressureDrop();
-		Vair_total = ConfigurationOptions.coolingData.getAirFlowVolume();
+		Vair_total = ConfigurationOptions.coolingData.getAirflowVolume();
 		
 		if(delta_p != -1 && Vair_total != -1)
@@ -192,5 +192,5 @@
 							double Vair_recs1 = 0;
 
-							Vair_recs1  = fan.getAirThroughputInterface().getRecentAirFlow().getValue();
+							Vair_recs1  = fan.getAirflowInterface().getRecentAirflow().getValue();
 
 							double Vair_recs2 = 0;
@@ -198,5 +198,5 @@
 								if(device2.getType().equals(StandardResourceType.Inlet) && device2.getFullName().equals(fan.getFullName().replace("Outlet", "Inlet"))){
 
-									Vair_recs2  = device2.getAirThroughputInterface().getRecentAirFlow().getValue();
+									Vair_recs2  = device2.getAirflowInterface().getRecentAirflow().getValue();
 
 									break;
@@ -401,5 +401,5 @@
 					if(fan.getPowerInterface().getRecentPowerUsage().getValue() == -1){
 						try {
-							Qfans = Qfans + (1 - delta_2) * fan.getAirThroughputInterface().getPowerConsumption(fan.getAirThroughputInterface().getAirThroughputState());
+							Qfans = Qfans + (1 - delta_2) * fan.getAirflowInterface().getPowerConsumption(fan.getAirflowInterface().getAirflowState());
 						} catch (NoSuchFieldException e) {
 							// TODO Auto-generated catch block
@@ -443,5 +443,5 @@
 		double ro = 1.168;//constant
 		
-		Vair_total = ConfigurationOptions.coolingData.getAirFlowVolume();
+		Vair_total = ConfigurationOptions.coolingData.getAirflowVolume();
 		
 		if(Vair_total != -1) {
@@ -465,5 +465,5 @@
 							double Vair_recs1 = 0;
 
-							Vair_recs1  = fan.getAirThroughputInterface().getRecentAirFlow().getValue();
+							Vair_recs1  = fan.getAirflowInterface().getRecentAirflow().getValue();
 
 							double Vair_recs2 = 0;
@@ -471,5 +471,5 @@
 								if(device2.getType().equals(StandardResourceType.Inlet) && device2.getFullName().equals(fan.getFullName().replace("Outlet", "Inlet"))){
 
-									Vair_recs2  = device2.getAirThroughputInterface().getRecentAirFlow().getValue();
+									Vair_recs2  = device2.getAirflowInterface().getRecentAirflow().getValue();
 
 									break;
Index: DCWoRMS/branches/coolemall/src/example/energy/coolemall/FlowPumpOutletEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/coolemall/FlowPumpOutletEnergyEstimationPlugin.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/energy/coolemall/FlowPumpOutletEnergyEstimationPlugin.java	(revision 1396)
@@ -23,11 +23,11 @@
 	}
 	
-	public double estimateAirThroughput(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
-		double airThroughput = 0;
+	public double estimateAirflow(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
+		double airflow = 0;
 		double Vair_total;
 		
-		Vair_total = ConfigurationOptions.coolingData.getAirFlowVolume();
+		Vair_total = ConfigurationOptions.coolingData.getAirflowVolume();
 		if(Vair_total != -1) {
-			airThroughput = Vair_total;
+			airflow = Vair_total;
 		} else {
 			Device flowPump = (Device) resource;
@@ -51,5 +51,5 @@
 							double Vair_recs1 = 0;
 
-							Vair_recs1  = fan.getAirThroughputInterface().getRecentAirFlow().getValue();
+							Vair_recs1  = fan.getAirflowInterface().getRecentAirflow().getValue();
 
 							double Vair_recs2 = 0;
@@ -57,5 +57,5 @@
 								if(device2.getType().equals(StandardResourceType.Inlet) && device2.getFullName().equals(fan.getFullName().replace("Outlet", "Inlet"))){
 
-									Vair_recs2  = device2.getAirThroughputInterface().getRecentAirFlow().getValue();
+									Vair_recs2  = device2.getAirflowInterface().getRecentAirflow().getValue();
 
 									break;
@@ -73,7 +73,7 @@
 			mair_total = mair_rack;
 			Vair_total = mair_total / ro;
-			airThroughput = Vair_total;
+			airflow = Vair_total;
 		}
-		return airThroughput;
+		return airflow;
 	}
 }
Index: DCWoRMS/branches/coolemall/src/example/energy/coolemall/CoolingDeviceEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/coolemall/CoolingDeviceEnergyEstimationPlugin.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/energy/coolemall/CoolingDeviceEnergyEstimationPlugin.java	(revision 1396)
@@ -18,7 +18,7 @@
 public class CoolingDeviceEnergyEstimationPlugin extends BaseEnergyEstimationPlugin {
 
-	public double estimateAirThroughput(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
-		double airThroughput = 0;
-		return airThroughput;
+	public double estimateAirflow(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
+		double airflow = 0;
+		return airflow;
 	}
 
@@ -140,5 +140,5 @@
 		
 		delta_p = ConfigurationOptions.coolingData.getPressureDrop();
-		Vair_total = ConfigurationOptions.coolingData.getAirFlowVolume();
+		Vair_total = ConfigurationOptions.coolingData.getAirflowVolume();
 		
 		if(delta_p != -1 && Vair_total != -1)
@@ -164,5 +164,5 @@
 							double Vair_recs1 = 0;
 
-							Vair_recs1  = fan.getAirThroughputInterface().getRecentAirFlow().getValue();
+							Vair_recs1  = fan.getAirflowInterface().getRecentAirflow().getValue();
 
 							double Vair_recs2 = 0;
@@ -170,5 +170,5 @@
 								if(device2.getType().equals(StandardResourceType.Inlet) && device2.getFullName().equals(fan.getFullName().replace("Outlet", "Inlet"))){
 
-									Vair_recs2  = device2.getAirThroughputInterface().getRecentAirFlow().getValue();
+									Vair_recs2  = device2.getAirflowInterface().getRecentAirflow().getValue();
 
 									break;
@@ -373,5 +373,5 @@
 					if(fan.getPowerInterface().getRecentPowerUsage().getValue() == -1){
 						try {
-							Qfans = Qfans + (1 - delta_2) * fan.getAirThroughputInterface().getPowerConsumption(fan.getAirThroughputInterface().getAirThroughputState());
+							Qfans = Qfans + (1 - delta_2) * fan.getAirflowInterface().getPowerConsumption(fan.getAirflowInterface().getAirflowState());
 						} catch (NoSuchFieldException e) {
 							// TODO Auto-generated catch block
@@ -415,5 +415,5 @@
 		double ro = 1.168;//constant
 		
-		Vair_total = ConfigurationOptions.coolingData.getAirFlowVolume();
+		Vair_total = ConfigurationOptions.coolingData.getAirflowVolume();
 		
 		if(Vair_total != -1) {
@@ -437,5 +437,5 @@
 							double Vair_recs1 = 0;
 
-							Vair_recs1  = fan.getAirThroughputInterface().getRecentAirFlow().getValue();
+							Vair_recs1  = fan.getAirflowInterface().getRecentAirflow().getValue();
 
 							double Vair_recs2 = 0;
@@ -443,5 +443,5 @@
 								if(device2.getType().equals(StandardResourceType.Inlet) && device2.getFullName().equals(fan.getFullName().replace("Outlet", "Inlet"))){
 
-									Vair_recs2  = device2.getAirThroughputInterface().getRecentAirFlow().getValue();
+									Vair_recs2  = device2.getAirflowInterface().getRecentAirflow().getValue();
 
 									break;
Index: DCWoRMS/branches/coolemall/src/example/energy/coolemall/CoreEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/coolemall/CoreEnergyEstimationPlugin.java	(revision 1207)
+++ 	(revision )
@@ -1,17 +1,0 @@
-package example.energy.coolemall;
-
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
-import schedframe.resources.devices.PhysicalResource;
-import schedframe.scheduling.manager.tasks.JobRegistry;
-import example.energy.BaseEnergyEstimationPlugin;
-
-public class CoreEnergyEstimationPlugin extends BaseEnergyEstimationPlugin  {
-
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			PhysicalResource resource) {
-		
-		double powerConsumption = 0;
-		return powerConsumption;
-	}
-
-}
Index: DCWoRMS/branches/coolemall/src/example/energy/device/FanEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/device/FanEnergyEstimationPlugin.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/energy/device/FanEnergyEstimationPlugin.java	(revision 1396)
@@ -3,5 +3,5 @@
 import schedframe.events.scheduling.EventReason;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -15,7 +15,7 @@
 		try {
 			if(event.getReason() == EventReason.SIM_INIT)
-				powerConsumption = powerConsumption + resource.getAirThroughputInterface().getPowerConsumption(StandardAirThroughputStateName.OFF);
+				powerConsumption = powerConsumption + resource.getAirflowInterface().getPowerConsumption(StandardAirflowStateName.OFF);
 			else
-				powerConsumption = powerConsumption + resource.getAirThroughputInterface().getPowerConsumption(resource.getAirThroughputInterface().getAirThroughputState());
+				powerConsumption = powerConsumption + resource.getAirflowInterface().getPowerConsumption(resource.getAirflowInterface().getAirflowState());
 		} catch (NoSuchFieldException e) {
 		}
@@ -24,16 +24,16 @@
 	}
 
-	public double estimateAirThroughput(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
-		double airThroughput = 0;
+	public double estimateAirflow(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
+		double airflow= 0;
 		try {
 			if(event.getReason() == EventReason.SIM_INIT)
-				airThroughput = resource.getAirThroughputInterface().getAirFlow(StandardAirThroughputStateName.OFF);
+				airflow = resource.getAirflowInterface().getAirflow(StandardAirflowStateName.OFF);
 			else
-				airThroughput = resource.getAirThroughputInterface().getAirFlow(resource.getAirThroughputInterface().getAirThroughputState());
+				airflow = resource.getAirflowInterface().getAirflow(resource.getAirflowInterface().getAirflowState());
 		} catch (NoSuchFieldException e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
-		return airThroughput;
+		return airflow;
 	}
 }
Index: DCWoRMS/branches/coolemall/src/example/energy/BaseEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/BaseEnergyEstimationPlugin.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/energy/BaseEnergyEstimationPlugin.java	(revision 1396)
@@ -17,5 +17,5 @@
 	
 	@Override
-	public double estimateAirThroughput(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
+	public double estimateAirflow(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
 		throw new RuntimeException("Not implemented.");
 	}
Index: DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_LocalPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_LocalPlugin.java	(revision 888)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_LocalPlugin.java	(revision 1396)
@@ -6,5 +6,5 @@
 import schedframe.scheduling.manager.tasks.JobRegistry;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ConsolidationLowPower_NodePowMan_Plugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ConsolidationLowPower_NodePowMan_Plugin.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ConsolidationLowPower_NodePowMan_Plugin.java	(revision 1396)
@@ -17,5 +17,5 @@
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
@@ -30,5 +30,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -168,5 +168,5 @@
 					for(Device device: node.getParent().getResourceCharacteristic().getDevices()){
 						if(device.getType().equals(StandardResourceType.Fan)){
-							device.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+							device.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 							break;
 						}
@@ -191,5 +191,5 @@
 				for(Device device: node.getParent().getResourceCharacteristic().getDevices()){
 					if(device.getType().equals(StandardResourceType.Fan)){
-						device.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.OFF);
+						device.getAirflowInterface().setAirflowState(StandardAirflowStateName.OFF);
 						break;
 					}
Index: DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ExamplePlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ExamplePlugin.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ExamplePlugin.java	(revision 1396)
@@ -25,5 +25,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_DFSPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_DFSPlugin.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_DFSPlugin.java	(revision 1396)
@@ -21,5 +21,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_LoadBalancing_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_LoadBalancing_SP.java	(revision 1319)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_LoadBalancing_SP.java	(revision 1396)
@@ -11,5 +11,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_PowerCapping_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_PowerCapping_SP.java	(revision 1319)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_PowerCapping_SP.java	(revision 1396)
@@ -19,5 +19,5 @@
 import schedframe.resources.computing.coolemall.ComputeBox1;
 import schedframe.resources.computing.coolemall.NodeGroup;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.devices.Device;
@@ -32,5 +32,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -245,5 +245,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -338,5 +338,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -427,5 +427,5 @@
 			for(Device device: nodeGroup.getResourceCharacteristic().getDevices()){
 				try {
-					fpc = fpc + device.getAirThroughputInterface().getPowerConsumption(new UserAirThroughputStateName("2"));
+					fpc = fpc + device.getAirflowInterface().getPowerConsumption(new CustomAirflowStateName("2"));
 				} catch (NoSuchFieldException e) {
 					// TODO Auto-generated catch block
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_PowerCapping_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_PowerCapping_SP.java	(revision 1319)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_PowerCapping_SP.java	(revision 1396)
@@ -20,5 +20,5 @@
 import schedframe.resources.computing.coolemall.ComputeBox1;
 import schedframe.resources.computing.coolemall.NodeGroup;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.devices.Device;
@@ -34,5 +34,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -364,5 +364,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -457,5 +457,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -546,5 +546,5 @@
 			for(Device device: nodeGroup.getResourceCharacteristic().getDevices()){
 				try {
-					fpc = fpc + device.getAirThroughputInterface().getPowerConsumption(new UserAirThroughputStateName("2"));
+					fpc = fpc + device.getAirflowInterface().getPowerConsumption(new CustomAirflowStateName("2"));
 				} catch (NoSuchFieldException e) {
 					// TODO Auto-generated catch block
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_SP.java	(revision 1319)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_SP.java	(revision 1396)
@@ -23,5 +23,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_SP.java	(revision 1396)
@@ -26,5 +26,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_PowerCapping_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_PowerCapping_SP.java	(revision 1319)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_PowerCapping_SP.java	(revision 1396)
@@ -20,5 +20,5 @@
 import schedframe.resources.computing.coolemall.ComputeBox1;
 import schedframe.resources.computing.coolemall.NodeGroup;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.devices.Device;
@@ -34,5 +34,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -282,5 +282,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -375,5 +375,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -464,5 +464,5 @@
 			for(Device device: nodeGroup.getResourceCharacteristic().getDevices()){
 				try {
-					fpc = fpc + device.getAirThroughputInterface().getPowerConsumption(new UserAirThroughputStateName("2"));
+					fpc = fpc + device.getAirflowInterface().getPowerConsumption(new CustomAirflowStateName("2"));
 				} catch (NoSuchFieldException e) {
 					// TODO Auto-generated catch block
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_SP.java	(revision 1396)
@@ -25,5 +25,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_NodePowMan_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_NodePowMan_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_NodePowMan_SP.java	(revision 1396)
@@ -17,5 +17,5 @@
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.Rack;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
@@ -32,5 +32,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -227,5 +227,5 @@
 							Fan fan = (Fan) device;
 							if(fan.getChilledResources().contains(node.getFullName())){
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 							}
 						}
@@ -263,5 +263,5 @@
 						if(fan.getChilledResources().contains(node.getFullName())){
 							if(nrOfChilldedNodes == 1)
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							else {
 								for(String chilledNode: fan.getChilledResources()){
@@ -275,5 +275,5 @@
 								}
 								if(nrOfChilldedNodes <= 1)
-									fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+									fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							}
 
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_NodePowMan_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_NodePowMan_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_NodePowMan_SP.java	(revision 1396)
@@ -16,5 +16,5 @@
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
@@ -31,5 +31,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -226,5 +226,5 @@
 							Fan fan = (Fan) device;
 							if(fan.getChilledResources().contains(node.getFullName())){
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 							}
 						}
@@ -262,5 +262,5 @@
 						if(fan.getChilledResources().contains(node.getFullName())){
 							if(nrOfChilldedNodes == 1)
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							else {
 								for(String chilledNode: fan.getChilledResources()){
@@ -274,5 +274,5 @@
 								}
 								if(nrOfChilldedNodes <= 1)
-									fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+									fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							}
 
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_LB_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_LB_SP.java	(revision 1258)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_LB_SP.java	(revision 1396)
@@ -11,5 +11,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -55,5 +55,4 @@
 	}
 
-	@SuppressWarnings("unchecked")
 	private String chooseProvider(ClusterResourceManager resourceManager) {
 		List<Node> nodes = resourceManager.getNodes();
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Random_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Random_SP.java	(revision 1258)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Random_SP.java	(revision 1396)
@@ -12,5 +12,5 @@
 import schedframe.resources.computing.Core;
 import schedframe.resources.computing.Node;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.devices.Device;
 import schedframe.resources.units.ProcessingElements;
@@ -23,5 +23,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -79,5 +79,4 @@
 	}
 
-	@SuppressWarnings("unchecked")
 	private Node chooseRandomProvider(ClusterResourceManager resourceManager) {
 		List<Node> nodes = resourceManager.getNodes();
@@ -184,5 +183,5 @@
 				for(Device device: node.getParent().getResourceCharacteristic().getDevices()){
 					if(device.getFullName().equals(Node_Fan_Mapping.getNode_fan().get(node.getFullName()))){
-						device.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("Off"));
+						device.getAirflowInterface().setAirflowState(new CustomAirflowStateName("Off"));
 						break;
 					}
@@ -192,5 +191,5 @@
 				for(Device device: node.getParent().getResourceCharacteristic().getDevices()){
 					if(device.getFullName().equals(Node_Fan_Mapping.getNode_fan().get(node.getFullName()))){
-						device.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("On"));
+						device.getAirflowInterface().setAirflowState(new CustomAirflowStateName("On"));
 						break;
 					}
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Consolidation_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Consolidation_SP.java	(revision 1258)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Consolidation_SP.java	(revision 1396)
@@ -25,5 +25,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationHighPerf_NodePowMan_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationHighPerf_NodePowMan_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationHighPerf_NodePowMan_SP.java	(revision 1396)
@@ -16,5 +16,5 @@
 import schedframe.resources.computing.Core;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
@@ -31,5 +31,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -226,5 +226,5 @@
 							Fan fan = (Fan) device;
 							if(fan.getChilledResources().contains(node.getFullName())){
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 							}
 						}
@@ -262,5 +262,5 @@
 						if(fan.getChilledResources().contains(node.getFullName())){
 							if(nrOfChilldedNodes == 1)
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							else {
 								for(String chilledNode: fan.getChilledResources()){
@@ -274,5 +274,5 @@
 								}
 								if(nrOfChilldedNodes <= 1)
-									fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+									fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							}
 
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationLowPower_NodePowMan_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationLowPower_NodePowMan_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationLowPower_NodePowMan_SP.java	(revision 1396)
@@ -16,5 +16,5 @@
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
@@ -31,5 +31,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -226,5 +226,5 @@
 							Fan fan = (Fan) device;
 							if(fan.getChilledResources().contains(node.getFullName())){
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 							}
 						}
@@ -262,5 +262,5 @@
 						if(fan.getChilledResources().contains(node.getFullName())){
 							if(nrOfChilldedNodes == 1)
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							else {
 								for(String chilledNode: fan.getChilledResources()){
@@ -274,5 +274,5 @@
 								}
 								if(nrOfChilldedNodes <= 1)
-									fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+									fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							}
 
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_LoadBalancing_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_LoadBalancing_SP.java	(revision 1258)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_LoadBalancing_SP.java	(revision 1396)
@@ -11,5 +11,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -54,5 +54,4 @@
 	}
 
-	@SuppressWarnings("unchecked")
 	private String chooseProvider(ClusterResourceManager resourceManager) {
 		List<Node> nodes = resourceManager.getNodes();
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Random_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Random_SP.java	(revision 1258)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Random_SP.java	(revision 1396)
@@ -21,5 +21,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -70,5 +70,4 @@
 	}
 
-	@SuppressWarnings("unchecked")
 	private Map<ResourceUnitName, ResourceUnit> chooseResourcesForExecution(
 			ClusterResourceManager resourceManager, TaskInterface<?> task) {
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationHighPerf_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationHighPerf_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationHighPerf_SP.java	(revision 1396)
@@ -25,5 +25,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -72,5 +72,4 @@
 	}
 
-	@SuppressWarnings("unchecked")
 	private Map<ResourceUnitName, ResourceUnit> chooseResourcesForExecution(
 			ClusterResourceManager resourceManager, TaskInterface<?> task) {
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationLowPower_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationLowPower_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationLowPower_SP.java	(revision 1396)
@@ -25,5 +25,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -72,5 +72,4 @@
 	}
 
-	@SuppressWarnings("unchecked")
 	private Map<ResourceUnitName, ResourceUnit> chooseResourcesForExecution(
 			ClusterResourceManager resourceManager, TaskInterface<?> task) {
Index: DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_RandomPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_RandomPlugin.java	(revision 1258)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_RandomPlugin.java	(revision 1396)
@@ -13,5 +13,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/BaseLocalSchedulingPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/BaseLocalSchedulingPlugin.java	(revision 555)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/BaseLocalSchedulingPlugin.java	(revision 1396)
@@ -17,6 +17,6 @@
 import schedframe.scheduling.plan.impl.ScheduledTask;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.plugin.SchedulingPluginConfiguration;
-import schedframe.scheduling.plugin.grid.ModuleList;
 import schedframe.scheduling.plugin.local.LocalSchedulingPlugin;
 import schedframe.scheduling.queue.TaskQueue;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ConsolidationHighPerf_NodePowMan_Plugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ConsolidationHighPerf_NodePowMan_Plugin.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ConsolidationHighPerf_NodePowMan_Plugin.java	(revision 1396)
@@ -17,5 +17,5 @@
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
@@ -30,5 +30,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -169,5 +169,5 @@
 					for(Device device: node.getParent().getResourceCharacteristic().getDevices()){
 						if(device.getType().equals(StandardResourceType.Fan)){
-							device.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+							device.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 							break;
 						}
@@ -192,5 +192,5 @@
 				for(Device device: node.getParent().getResourceCharacteristic().getDevices()){
 					if(device.getType().equals(StandardResourceType.Fan)){
-						device.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.OFF);
+						device.getAirflowInterface().setAirflowState(StandardAirflowStateName.OFF);
 						break;
 					}
Index: DCWoRMS/branches/coolemall/src/example/timeestimation/coolemall/CPUFreqScalingPhaseTimeEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/timeestimation/coolemall/CPUFreqScalingPhaseTimeEstimationPlugin.java	(revision 1364)
+++ DCWoRMS/branches/coolemall/src/example/timeestimation/coolemall/CPUFreqScalingPhaseTimeEstimationPlugin.java	(revision 1396)
@@ -2,6 +2,4 @@
 
 import java.util.Map;
-
-import org.joda.time.DateTime;
 
 import schedframe.events.scheduling.SchedulingEvent;
@@ -14,7 +12,5 @@
 import schedframe.resources.units.ResourceUnitName;
 import schedframe.resources.units.StandardResourceUnitName;
-import schedframe.scheduling.tasks.phases.ResourceConsumption;
 import dcworms.schedframe.scheduling.ExecTask;
-import dcworms.schedframe.scheduling.Executable;
 import example.timeestimation.BaseTimeEstimationPlugin;
 
@@ -26,5 +22,5 @@
 			double completionPercentage) {
 		
-		String taskFreqString = task.getCurrentResourceConsumption().getReferenceHardware().get("cpu_maxfreq");
+		String taskFreqString = task.getExecutionProfile().getCurrentResourceConsumption().getReferenceHardware().get("cpu_maxfreq");
 		double taskFreq = Double.valueOf(taskFreqString);
 		
@@ -49,5 +45,5 @@
 			currentFrequency = taskFreq;
 
-		double execTime = (1 - completionPercentage/100) * task.getCurrentResourceConsumption().getDuration() * (taskFreq / currentFrequency);
+		double execTime = (1 - completionPercentage/100) * task.getExecutionProfile().getCurrentResourceConsumption().getDuration() * (taskFreq / currentFrequency);
 
 		// if the result is very close to 0, but less then one millisecond then round this result to 0.001
Index: DCWoRMS/branches/coolemall/src/example/timeestimation/coolemall/PhaseTimeEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/timeestimation/coolemall/PhaseTimeEstimationPlugin.java	(revision 1253)
+++ DCWoRMS/branches/coolemall/src/example/timeestimation/coolemall/PhaseTimeEstimationPlugin.java	(revision 1396)
@@ -25,5 +25,5 @@
 		Executable exec = (Executable) task;
 
-		ResourceConsumption resConsumption = exec.getResourceConsumptionProfile().getCurrentResourceConsumption();
+		ResourceConsumption resConsumption = exec.getExecutionProfile().getCurrentResourceConsumption();
 
 		double execTime = (1 - completionPercentage/100) * resConsumption.getDuration();
Index: DCWoRMS/branches/coolemall/src/example/globalplugin/BaseGlobalPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/globalplugin/BaseGlobalPlugin.java	(revision 516)
+++ DCWoRMS/branches/coolemall/src/example/globalplugin/BaseGlobalPlugin.java	(revision 1396)
@@ -6,7 +6,7 @@
 import schedframe.scheduling.TaskList;
 import schedframe.scheduling.manager.resources.ResourceManager;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.plugin.SchedulingPluginConfiguration;
 import schedframe.scheduling.plugin.grid.GlobalSchedulingPlugin;
-import schedframe.scheduling.plugin.grid.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/globalplugin/GridFCFSLoadBalancingPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/globalplugin/GridFCFSLoadBalancingPlugin.java	(revision 497)
+++ DCWoRMS/branches/coolemall/src/example/globalplugin/GridFCFSLoadBalancingPlugin.java	(revision 1396)
@@ -3,5 +3,4 @@
 
 import java.util.List;
-import java.util.Properties;
 
 import org.apache.commons.logging.Log;
@@ -16,6 +15,6 @@
 import schedframe.scheduling.plan.impl.ScheduledTask;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.Module;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.Module;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.plugin.grid.ResourceDiscovery;
 import schedframe.scheduling.queue.QueueDescription;
Index: DCWoRMS/branches/coolemall/src/example/globalplugin/GridFCFSRandomPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/globalplugin/GridFCFSRandomPlugin.java	(revision 497)
+++ DCWoRMS/branches/coolemall/src/example/globalplugin/GridFCFSRandomPlugin.java	(revision 1396)
@@ -2,5 +2,4 @@
 
 import java.util.List;
-import java.util.Properties;
 import java.util.Random;
 
@@ -13,6 +12,6 @@
 import schedframe.scheduling.plan.impl.ScheduledTask;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.Module;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.Module;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.plugin.grid.ResourceDiscovery;
 import schedframe.scheduling.queue.TaskQueue;
@@ -29,5 +28,5 @@
 	}
 	
-	public SchedulingPlanInterface schedule(SchedulingEvent event,
+	public SchedulingPlanInterface<?> schedule(SchedulingEvent event,
 			TaskQueueList queues, 
 			JobRegistry jobRegistry,
Index: DCWoRMS/branches/coolemall/src/example/globalplugin/GridFCFSRoundRobinPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/globalplugin/GridFCFSRoundRobinPlugin.java	(revision 497)
+++ DCWoRMS/branches/coolemall/src/example/globalplugin/GridFCFSRoundRobinPlugin.java	(revision 1396)
@@ -12,6 +12,6 @@
 import schedframe.scheduling.plan.impl.ScheduledTask;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.Module;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.Module;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.plugin.grid.ResourceDiscovery;
 import schedframe.scheduling.queue.TaskQueue;
@@ -24,5 +24,5 @@
 	private LinkedList<String> lastUsedResources = new LinkedList<String>();
 
-	public SchedulingPlanInterface schedule(SchedulingEvent event,
+	public SchedulingPlanInterface<?> schedule(SchedulingEvent event,
 			TaskQueueList queues, 
 			JobRegistry jobRegistry,
Index: DCWoRMS/branches/coolemall/src/example/load/ProcessorLoadEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/load/ProcessorLoadEstimationPlugin.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/load/ProcessorLoadEstimationPlugin.java	(revision 1396)
@@ -26,5 +26,5 @@
 			double cpuUsage = 1 / nrOfThreadsOnCpu;
 
-			for(PhaseBehaviour pb: task.getCurrentResourceConsumption().getBehaviourList()){
+			for(PhaseBehaviour pb: task.getExecutionProfile().getCurrentResourceConsumption().getBehaviourList()){
 				if(pb.getResouceName().equals("PM_CPU_Usage")){
 					cpuUsage = pb.getUtilization();
Index: DCWoRMS/branches/coolemall/src/example/load/DefaultLoadEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/load/DefaultLoadEstimationPlugin.java	(revision 1290)
+++ DCWoRMS/branches/coolemall/src/example/load/DefaultLoadEstimationPlugin.java	(revision 1396)
@@ -5,5 +5,5 @@
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
-import simulator.stats.GSSAccumulator;
+import simulator.stats.DCwormsAccumulator;
 
 
@@ -13,5 +13,5 @@
 
 		ComputingResource computingResource = (ComputingResource) resource;
-		GSSAccumulator childrenLoad = new GSSAccumulator();
+		DCwormsAccumulator childrenLoad = new DCwormsAccumulator();
 		for(ComputingResource compRes: computingResource.getChildren()){
 			childrenLoad.add(compRes.getLoadInterface().getRecentUtilization().getValue());
